| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::FilterInfo Class Reference

`#include <FilterInfo.hpp>`

## Public Member Functions
| FilterInfo (GlobalBrokerId core_id_, InterfaceHandle handle_, std::string_view key_, std::string_view type_in_, std::string_view type_out_, bool destFilter_)
void | addDestinationEndpoint (GlobalHandle dest, std::string_view destName, std::string_view destType)
void | addSourceEndpoint (GlobalHandle dest, std::string_view sourceName, std::string_view sourceType)
void | removeTarget (GlobalHandle targetId)
const std::string & | getSourceEndpoints () const
const std::string & | getDestinationEndpoints () const

## Public Attributes
const GlobalBrokerId | core_id
| id of the core that manages the filter
const InterfaceHandle | handle
| id handle of the filter
const std::string | key
| the identifier of the filter
const std::string | inputType
| the type of data for the filter
const std::string | outputType
| the outputType of data of the filter
std::vector< GlobalHandle > | sourceTargets
std::vector< GlobalHandle > | destTargets
const bool | dest_filter = false
bool | cloning = false
| indicator that the filter is a destination filter More...
uint16_t | flags = 0
| flags for the filter
std::shared_ptr< FilterOperator > | filterOp
| the callback operation of the filter

## Detailed Description

data class defining the information about a filter

## Constructor & Destructor Documentation

## ◆ FilterInfo()

helics::FilterInfo::FilterInfo | ( | GlobalBrokerId | core_id_,
|  | InterfaceHandle | handle_,
|  | std::string_view | key_,
|  | std::string_view | type_in_,
|  | std::string_view | type_out_,
|  | bool | destFilter_
| ) |  |
| inline

constructor from all fields

## Member Function Documentation

## ◆ addDestinationEndpoint()

void helics::FilterInfo::addDestinationEndpoint | ( | GlobalHandle | dest,
|  | std::string_view | destName,
|  | std::string_view | destType
| ) |  |

add a target target

now update the target information

## ◆ addSourceEndpoint()

void helics::FilterInfo::addSourceEndpoint | ( | GlobalHandle | dest,
|  | std::string_view | sourceName,
|  | std::string_view | sourceType
| ) |  |

add a source to an endpoint

now update the target information

## ◆ getDestinationEndpoints()

const std::string & helics::FilterInfo::getDestinationEndpoints | ( |  | ) | const

get a string with the names of the destination endpoints

## ◆ getSourceEndpoints()

const std::string & helics::FilterInfo::getSourceEndpoints | ( |  | ) | const

get a string with the names of the source endpoints

## ◆ removeTarget()

void helics::FilterInfo::removeTarget | ( | GlobalHandle | targetId | ) |

remove a target from connection

## Member Data Documentation

## ◆ cloning

bool helics::FilterInfo::cloning = false

indicator that the filter is a destination filter

indicator that the filter is a cloning filter

Referenced by helics::FilterFederate::createFilter().

The documentation for this class was generated from the following files:

- FilterInfo.hpp
- FilterInfo.cpp